<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    tools:context=".ui.activity.AppointmentDateActivity">

    <include
        android:id="@+id/toolbarView"
        layout="@layout/toolbar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/ll_left"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:orientation="vertical"
            android:padding="10dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <TextView
                    android:id="@+id/tv_month"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:textSize="30sp"
                    android:textStyle="bold"
                    android:text=""/>
            </LinearLayout>

            <com.haibin.calendarview.CalendarLayout
                android:id="@+id/calendarLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="#fff"
                android:orientation="vertical">

                <com.haibin.calendarview.CalendarView
                    android:id="@+id/calendarView"
                    app:calendar_padding="10dp"
                    app:month_view="com.rehome.sbcksyy.weiget.MeiZuMonthView"
                    app:month_view_show_mode="mode_only_current"
                    app:min_year="2022"
                    app:select_mode="single_mode"
                    app:selected_theme_color="#029A9A"
                    app:year_view_day_text_size="12sp"
                    app:year_view_month_text_size="20sp"
                    app:year_view_scheme_color="#f17706"
                    app:week_start_with="mon"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#fff" />
            </com.haibin.calendarview.CalendarLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_right"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3"
            android:background="#cccccc"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="NestedWeights">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="10dp"
                    android:text="日常培训考试"
                    android:textColor="#000000"
                    android:textSize="20sp" />
                <TextView
                    android:id="@+id/tv_time_day1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left"
                    android:layout_marginStart="10dp"
                    android:text=""
                    android:textColor="#ff0000"
                    android:textSize="15sp" />

                <ListView
                    android:id="@+id/lv_appointment_dayly"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:divider="@null"
                    android:dividerHeight="5dp"
                    tools:ignore="NestedWeights" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="NestedWeights">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="生产岗位技能平台考试"
                        android:layout_marginTop="10dp"
                        android:textColor="#000000"
                        android:textSize="20sp" />

                    <TextView
                        android:id="@+id/tv_time_day3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left"
                        android:layout_marginStart="10dp"
                        android:text=""
                        android:textColor="#ff0000"
                        android:textSize="15sp" />
                </LinearLayout>

                <ListView
                    android:id="@+id/lv_appointment_yy"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_marginTop="15dp"
                    android:divider="@null"
                    android:dividerHeight="5dp" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>
